*"表題 力学 境界条件 GCM5(DPHIS)
*
*"履歴  90/05/19 沼口  敦
*"      90/08/31 沼口  敦
*"      96/11/15 竹広真一  ファイルからの読み込みを siphis.F に分離
*
**********************************************************************
*"            << 境界条件（地形)の読み込み >>
**********************************************************************
      SUBROUTINE DPHIS
     O         ( WPHIS  ,
     I           IT      )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数，波数
#else
#include        "zcdim.F"                    !" 格子点数，波数
#endif
*
* [OUTPUT]
      REAL       WPHIS ( NMDIM )             !" 地表Φ
*
* [INPUT]
      INTEGER    IT
*
* [INTERNAL WORK]
      COMMON    /COMWRK/
     &           GPHIS
      REAL       GPHIS ( IDIM, JDIM )        !" 地表Φ
*
*"         < 1.  地形標高Ｇ．Ｐ．の読み込み >
*
      CALL SETPHS
     O         ( GPHIS , 
     I           IT      )
*
*"         < 2. スペクトルに変換 >
*
      CALL G2W
     O         ( WPHIS ,
     I           GPHIS ,
     F           '    ', 'POS ', 1     )
*
      RETURN
      END
